
Name:           budgie
Version:        2
Release:        3%{?dist}
Summary:        Simple and distraction free GTK+3 media player
License:        GPLv2+
URL:            http://ikeydoherty.github.io/budgie/
Source0:        https://github.com/ikeydoherty/budgie/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  dconf-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gdbm-devel
BuildRequires:  gtk3-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  id3lib-devel
BuildRequires:  xdg-user-dirs

%description
budgie is a simple media player based on GTK+3. It will bring users modern, 
lightweight and distraction free media experience.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/budgie.desktop

%post
%{_sbindir}/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
 
%postun
%{_sbindir}/ldconfig
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc AUTHORS COPYING README.mkd
%{_bindir}/budgie
%{_datadir}/applications/budgie.desktop
%{_datadir}/icons/hicolor/*/apps/budgie.*
%{_datadir}/glib-2.0/schemas/io.github.ikeydoherty.Budgie.gschema.xml

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 21 2013 Christopher Meng <rpm@cicku.me> - 2-1
- Initial Package.
